<Project Sdk="Microsoft.NET.Sdk">

	<PropertyGroup>
		<OutputType>WinExe</OutputType>
		<TargetFramework>net8.0-windows</TargetFramework>
		<Nullable>enable</Nullable>
		<ImplicitUsings>enable</ImplicitUsings>
		<UseWPF>true</UseWPF>
		<UseWindowsForms>true</UseWindowsForms>
		<StartupObject>GTPCorrgir.Program</StartupObject>
		<!-- Esta línea habilita Windows Forms -->
	</PropertyGroup>

	<ItemGroup>
	  <COMReference Include="{215d64d2-031c-33c7-96e3-61794cd1ee61}">
	    <WrapperTool>tlbimp</WrapperTool>
	    <VersionMinor>4</VersionMinor>
	    <VersionMajor>2</VersionMajor>
	    <Guid>215d64d2-031c-33c7-96e3-61794cd1ee61</Guid>
	  </COMReference>
	</ItemGroup>

	<ItemGroup>
	  <PackageReference Include="LanguageDetection" Version="1.2.0" />
	  <PackageReference Include="Markdown.Xaml" Version="1.0.0" />
	  <PackageReference Include="Newtonsoft.Json" Version="13.0.3" />
	  <PackageReference Include="System.Drawing.Common" Version="9.0.1" />
	  <PackageReference Include="Tesseract" Version="5.2.0" />
	  <PackageReference Include="Tesseract.Drawing" Version="5.2.0" />
	</ItemGroup>

	<ItemGroup>
	  <Reference Include="libObsidean">
	    <HintPath>..\Libraries\libObsidean\bin\Debug\net8.0-windows\libObsidean.dll</HintPath>
	  </Reference>
	</ItemGroup>

	<ItemGroup>
	  <None Update="appsettings.json">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="tessdata\eng.traineddata">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="tessdata\ita.traineddata">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	  <None Update="tessdata\spa.traineddata">
	    <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
	  </None>
	</ItemGroup>

</Project>

